# ARTBeaT Dataset

ARTBeaT Dataset © 2024 by Rico Rosenbusch is licensed under CC BY 4.0. To view a copy of this license, visit https://creativecommons.org/licenses/by/4.0/

Rico Rosenbusch  
**Automated Real-Time Beat Tracking: Response Time and Confidence Analysis**  
Bachelor Thesis, Friedrich-Alexander-Universität Erlangen-Nürnberg (FAU), 2024.

```bibtex
@misc{Rosenbusch24_ARTBeaT_Bachelor_Thesis,
title       = {Automated Real-Time Beat Tracking: Response Time and Confidence Analysis},
author      = {Rico Rosenbusch},
year        = {2024},
note        = {Bachelor Thesis, Friedrich-Alexander-Universität Erlangen-Nürnberg (FAU)},
url-demo    = {https://audiolabs-erlangen.de/resources/MIR/2024-ARTBeaT}
}
```

- Author: Rico Rosenbusch <rico.rosenbusch@fau.de>
- URL: https://audiolabs-erlangen.de/resources/MIR/2024-ARTBeaT
- License: https://creativecommons.org/licenses/by/4.0/

## Short description of each audio example

| ID  | Category                | Name      | Description                                                                                                                                                                                                      |
| :-: | :---------------------- | :-------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 01  | basic                   | calib     | Short metronome for calibration                                                                                                                                                                                  |
| 02  | basic                   | arp1      | Starts with an arpeggio played on a synthesizer, continues in same tempo and measure with added instruments                                                                                                      |
| 03  | rhythmic deception      | arp2      | Starts with same arpeggio, but the other instruments come in 3 8th notes later                                                                                                                                   |
| 04  | polyrhythm              | arp3      | Starts with the same arpeggio, continues with different drumbeat at 2/3 the tempo playing simultaniously with original arpeggio                                                                                  |
| 05  | abrupt tempo change     | 75to150   | Simple drumbeat abruptly changing tempo from 75 to 150 BPM                                                                                                                                                       |
| 06  | abrupt tempo change     | 150to75   | Simple drumbeat abruptly changing tempo from 150 to 75BPM                                                                                                                                                        |
| 07  | abrupt tempo change     | 75to112.5 | Simple drumbeat abruptly changing tempo from 75 to 112.5 BPM                                                                                                                                                     |
| 08  | abrupt tempo change     | 112.5to75 | Simple drumbeat abruptly changing tempo from 112.5to 75 BPM                                                                                                                                                      |
| 09  | abrupt tempo change     | 90to80    | Simple drumbeat abruptly changing tempo from 90 to 80 BPM                                                                                                                                                        |
| 10  | abrupt tempo change     | 90to120   | Simple drumbeat abruptly changing tempo from 90 to 120 BPM                                                                                                                                                       |
| 11  | abrupt tempo change     | 60to80    | Simple drumbeat abruptly changing tempo from 60 to 80 BPM                                                                                                                                                        |
| 12  | abrupt tempo change     | 80to150   | Simple drumbeat abruptly changing tempo from 80 to 150 BPM                                                                                                                                                       |
| 13  | abrupt tempo change     | 180to120  | Simple drumbeat abruptly changing tempo from 180 to 120 BPM                                                                                                                                                      |
| 14  | abrupt tempo change     | 240to96   | Simple drumbeat abruptly changing tempo from 240 to 96 BPM                                                                                                                                                       |
| 15  | abrupt tempo change     | 85to127.5 | Beat played by electronic instruments starting out in 4/4 at 85 BPM, changing to 6/4 in 127.5, with the bass and kick pattern staying the same, while the hihat and snare pattern change, enforcing the 6/4 feel |
| 16  | odd measure             | beat7     | Drumbeat played in 7/8 measure                                                                                                                                                                                   |
| 17  | odd measure             | doom7     | Heavy distorted guitar riff with drums in 7/8                                                                                                                                                                    |
| 18  | continuous tempo change | piano     | Excerpt from Debussy's Children's Corner, L. 113: 1. Doctor Gradus ad Parnassum, played on piano with continuous tempo fluctuation                                                                               |
| 19  | continuous tempo change | 80to200   | Simple electronic drumbeat changing tempo continuously from 80 to 200 BPM                                                                                                                                        |
| 20  | continuous tempo change | 200to80   | Simple electronic drumbeat changing tempo continuously from 200 to 80 BPM                                                                                                                                        |
| 21  | polyrhythm              | 140to105  | Starts with a simple electronic percussive pattern at 140 BPM, later the drum beat comes in at 105 BPM, representing the ratio of 4/3                                                                            |
| 22  | polyrhythm              | 94        | A polyrhythmic drum beat playing 4 beats over 3, resetting every measure (the measures are in regular 4/4 time)                                                                                                  |
| 23  | rhythmic deception      | 102       | Normal drumbeat in 4/4 for the first half, in the second half the ride cymbal is added playing on the second 16th note of every beat, shifting the rhythmic perception                                           |
| 24  | syncopated rhythm       | 94        | Lots of irregular syncopation, trying to cause as much confusion as possible                                                                                                                                     |
| 25  | odd measure             | metal11   | Heavy distorted guitar riff with drums in 11/8                                                                                                                                                                   |

## Ground Truth Files

The ground truth annotations are given as csv files, with the times in seconds per each line, and as midi files.
